<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('denunciados', function (Blueprint $table) {
            $table->id();
             $table->foreignId('denuncia_id')->constrained('denuncias')->cascadeOnDelete();

            $table->string('nombre_completo');
            $table->string('lugar_trabajo')->nullable();
            $table->string('area_trabajo')->nullable();
            $table->unsignedBigInteger('created_by')->nullable()->constrained('users');
            $table->unsignedBigInteger('updated_by')->nullable()->constrained('users');
            $table->unsignedBigInteger('deleted_by')->nullable()->constrained('users');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('denunciados');
    }
};
